com.google.gwt.user.client.ui

## Interface IsRenderable

All Known Implementing Classes:
  AbstractCellTable, AbstractCellTree, AbstractHasData, AbstractPager, CalendarView, CaptionPanel, CellBrowser, CellBrowser.BrowserCellList, CellList, CellTable, CellTree, Composite, DataGrid, DateBox, DatePicker, DatePickerComponent, DecoratedTabBar, DecoratedTabPanel, DefaultCalendarView, DefaultMonthSelector, DisclosurePanel, MonthSelector, NotificationMole, PageSizePager, RenderablePanel, ResizeComposite, SimplePager, StackLayoutPanel, SuggestBox, TabBar, TabLayoutPanel, TabPanel, ValueBoxEditorDecorator, ValueListBox, ValuePicker

    public interface IsRenderable

An interface for UI elements that can be built by first generating a piece of HTML and afterwards wrapping a root widget. This interface is very experimental and in active development, so the exact API is likely to change. Very likely. In fact, it will definitely change. You've been warned.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `claimElement(Element element)` Replace the previous contents of the receiver with the given element, presumed to have been created and stamped via a previous call to `render(com.google.gwt.user.client.ui.RenderableStamper)`.
`void` `initializeClaimedElement()` Perform any initialization needed when the widget is not attached to the document.
`SafeHtml` `render(RenderableStamper stamper)`
`void` `render(RenderableStamper stamper, SafeHtmlBuilder builder)` Tells this object to render itself as HTML and append it to the given builder.

### Method Detail

#### claimElement

    void claimElement(Element element)

Replace the previous contents of the receiver with the given element, presumed to have been created and stamped via a previous call to `render(com.google.gwt.user.client.ui.RenderableStamper)`.

#### initializeClaimedElement

    void initializeClaimedElement()

Perform any initialization needed when the widget is not attached to the document. Assumed to be called after `claimElement(com.google.gwt.dom.client.Element)`.

#### render

    SafeHtml render(RenderableStamper stamper)

See Also:
  `TODO(rdcastro): Remove this once UiBinder doesn't rely on it anymore.`

#### render

    void render(RenderableStamper stamper,
                SafeHtmlBuilder builder)

Tells this object to render itself as HTML and append it to the given builder. If the implementation expects to be able to claim an element later, it must be marked by the given stamper.